# Uses of Interface
org.opensaml.saml.saml2.ecp.RequestAuthenticated

Packages that use RequestAuthenticated
Package
Description
org.opensaml.saml.saml2.ecp.impl
Implementations of SAML 2.0 ECP types and elements.

## Uses of RequestAuthenticated in org.opensaml.saml.saml2.ecp.impl

Classes in org.opensaml.saml.saml2.ecp.impl that implement RequestAuthenticated
Modifier and Type
Class
Description
`class`
`RequestAuthenticatedImpl`
Concrete implementation of `RequestAuthenticated`.
Methods in org.opensaml.saml.saml2.ecp.impl that return RequestAuthenticated
Modifier and Type
Method
Description
`RequestAuthenticated`
RequestAuthenticatedBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`RequestAuthenticated`
RequestAuthenticatedBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.